<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Http\Request;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ConfirmationMail extends Mailable
{
    use Queueable, SerializesModels;
    public $name;
    public $generator;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($name, $generator , $email)
    {
        $this->name = $name;
        $this->generator = $generator;
        $this->email = $email;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('Mail.ConfirmationEmail')
            ->to($this->email)
            ->subject('Your Account Verification OTP - AryanIct.com');
    }
}
